# To enable real-time sheduling (SCHED_FIFO), rebuild this package adding
# '--with realtime'.  This will require a kernel with the capabilities patch
# and may be a security risk to your system.  Non-root users will be able
# to run jack with real-time priorities by executing 'jackstart'.
%define enable_capabilities 0
%{?_with_realtime: %{expand: %%define enable_capabilities 1}}

%define enable_optimization 0
%{?_with_optimization: %{expand: %%define enable_optimization 1}}

%define		lib_name_orig libjack
%define		lib_major 0
%define		lib_name %mklibname jack %{lib_major} 
%define		lib_name_devel %mklibname jack -d

Summary:	The Jack Audio Connection Kit
Name:		jackit
Version:	0.116.2
Release:	%mkrel 3
# Lib is LGPL, apps are GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	jack-audio-connection-kit-%{version}.tar.gz
Patch1:		jack-driver-inline.patch
URL:		http://jackit.sourceforge.net
Buildrequires:	alsa-lib-devel
Buildrequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:  glib2-devel
BuildRequires:	fltk-devel
Buildrequires:  doxygen
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libtermcap-devel
BuildRequires:	celt-devel
%if %enable_capabilities
BuildRequires:	libcap-devel
%endif
BuildRequires:	libraw1394-devel >= 1.2.1
BuildRequires:	libavc1394-devel
BuildRequires:	libiec61883-devel >= 1.1.0
BuildRequires:	libfreebob-devel

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

%package -n	%{lib_name}
Summary:	Library associated with jack kit , needed for jackd
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{lib_name}
This library is mandatory for the Jack Audio Connection Kit

%package -n	%{lib_name_devel}
Summary:	Header files for Jack 
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{mklibname jack 0 -d}
Requires:	pkgconfig
#gw: libtool deps
Requires:	libsamplerate-devel
Requires:  	celt-devel

%description -n	%{lib_name_devel}
Header files for the Jack Audio Connection Kit.

%package	example-clients
Summary:	Example clients that use Jack 
Group:		Sound
Requires:	%{name} = %{version}

%description	example-clients
Small example clients that use the Jack Audio Connection Kit.

%prep
%setup -q -n jack-audio-connection-kit-%{version}
#%patch1 -p1 -b .x86_64

%build
# ./autogen.sh
%configure2_5x --with-html-dir=%{_docdir} --enable-stripped-jackd --enable-shared --disable-portaudio \
%if %enable_capabilities
	--enable-capabilities \
%endif
%if %enable_optimization
	--enable-optimize
%endif

%make

%install
rm -rf %buildroot
%{makeinstall_std}
rm -fr %{buildroot}/%{_docdir}
%if ! %enable_capabilities
rm -f %buildroot%{_mandir}/man1/jackstart.1
%endif

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS TODO
%if %enable_capabilities
%attr(4755,root,root) %{_bindir}/jackstart
%{_mandir}/man1/jackstart.1*
%endif
%{_bindir}/jackd
%{_bindir}/alsa_in
%{_bindir}/alsa_out
%{_bindir}/jack_netsource
%dir %{_libdir}/jack
%{_libdir}/jack/jack_alsa.so
%{_libdir}/jack/jack_oss.so
%{_libdir}/jack/jack_dummy.so
%{_libdir}/jack/jack_freebob.so
%{_libdir}/jack/jack_net.so
%{_mandir}/man1/jackd.1*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libjack.so.%{lib_major}*
%{_libdir}/libjackserver.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc doc/reference
%{_includedir}/jack
%{_libdir}/lib*.so
#%{_libdir}/lib*.a
%{_libdir}/lib*.la
%dir %{_libdir}/jack
%{_libdir}/jack/*a
%{_libdir}/pkgconfig/jack.pc

%files example-clients
%defattr(-,root,root)
%{_bindir}/jackrec
%{_bindir}/jack_alias
%{_bindir}/jack_connect
%{_bindir}/jack_disconnect
%{_bindir}/jack_evmon
%{_bindir}/jack_freewheel
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_lsp
%{_bindir}/jack_metro
%{_bindir}/jack_showtime
%{_bindir}/jack_monitor_client
%{_bindir}/jack_simple_client
%{_bindir}/jack_load
%{_bindir}/jack_unload
%{_bindir}/jack_transport
%{_bindir}/jack_transport_client
%{_bindir}/jack_midiseq
%{_bindir}/jack_midisine
%{_libdir}/jack/inprocess.so
%{_libdir}/jack/intime.so


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.116.2-3mdv2010.0
+ Revision: 425392
- rebuild

* Thu Feb 26 2009 Götz Waschk <waschk@mandriva.org> 0.116.2-2mdv2009.1
+ Revision: 345150
- rebuild for new libreadline

* Fri Feb 13 2009 Emmanuel Andry <eandry@mandriva.org> 0.116.2-1mdv2009.1
+ Revision: 340163
- New version 0.116.2
- protect major

* Mon Dec 22 2008 Götz Waschk <waschk@mandriva.org> 0.116.1-2mdv2009.1
+ Revision: 317512
- fix devel deps

* Mon Dec 08 2008 Adam Williamson <awilliamson@mandriva.org> 0.116.1-1mdv2009.1
+ Revision: 311862
- buildrequires fltk-devel not libfltk-devel
- buildrequires libsamplerate-devel (for netjack)
- adjust file list for new version (now includes netjack)
- buildrequires celt-devel
- small cleanups
- new license policy, correct license
- new release 0.116.1
- new devel policy

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.109.2-2.1092.1mdv2009.0
+ Revision: 264712
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 05 2008 trem <trem@mandriva.org> 0.109.2-0.1092.1mdv2009.0
+ Revision: 201215
- update to 109.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 David Walluck <walluck@mandriva.org> 0.107.7-0.1070.1mdv2008.1
+ Revision: 119512
- add sources
- 107.7 (SVN 1070)

* Sat Aug 18 2007 Austin Acton <austin@mandriva.org> 0.107.2-0.1051.1mdv2008.0
+ Revision: 65413
- new svn checkout for extreme awesomeness (and fewer segfaults)

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.103.0-0.20070314.3mdv2008.0
+ Revision: 64766
- rebuild


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.103.0-0.20070314.2mdv2007.1
+ Revision: 144601
- move API doc in devel package

* Wed Mar 14 2007 Austin Acton <austin@mandriva.org> 0.103.0-0.20070314.1mdv2007.1
+ Revision: 143845
- new version with midi support
- don't build against portaudio for now
- Import jackit

* Sun May 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.102.5-0.20060518.2mdk
- patch1: fix build on x86-64

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.102.5-0.20060518.1mdk
- update to 0.102.5 for MIDI support

* Fri May 05 2006 Austin Acton <austin@mandriva.org> 0.101.1-0.20060504.1mdk
- cvs now includes freebob directly
- mkrel

* Fri Feb 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.100.9-0.20060111.2mdk
- fix buildrequires

* Wed Jan 11 2006 Austin Acton <austin@mandriva.org> 0.100.9-0.20060111.1mdk
- snapshot
- add freebob driver

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.100.1-0.20050702.2mdk
- Rebuild

* Sun Jul 03 2005 Austin Acton <austin@mandriva.org> 0.100.1-0.20050702.1mdk
- cvs snapshot to get ieee16883 driver
- relax requires

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.0-2mdk
- rebuild for new readline

* Sat Dec 18 2004 Laurent Culioli <laurent@mandrake.org> 0.99.0-1mdk
- 0.99.0

* Wed Jun 16 2004 Laurent Culioli <laurent@mandrake.org> 0.98.1-1mdk
- 0.98.1

* Thu Apr 22 2004 Laurent Culioli <laurent@mandrake.org> 0.98.0-1mdk
- 0.98.0

